Request
curl -X PUT https://sandbox.api.lendeasy.ai /v1/servicing/cookie/admin/config \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"policy": {
"activation": {
"enabled": true ,
"demoMode": false ,
"allowedCaseTypes": [
"COLLECTIONS"
]
},
"actions": {
"capabilityModes": {
"SAVE_CASE_NOTE": "CONFIRM_AND_SUBMIT"
},
"confirmedActionsEnabled": true
}
},
"demoOnly": false ,
"reason": "Enable confirmed note saves for collections.",
"expectedVersion": 4
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cookie/admin/config` , {
method: "PUT" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"policy": {
"activation": {
"enabled": true ,
"demoMode": false ,
"allowedCaseTypes": [
"COLLECTIONS"
]
},
"actions": {
"capabilityModes": {
"SAVE_CASE_NOTE": "CONFIRM_AND_SUBMIT"
},
"confirmedActionsEnabled": true
}
},
"demoOnly": false ,
"reason": "Enable confirmed note saves for collections.",
"expectedVersion": 4
}),
});requests.put(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cookie/admin/config" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"policy": {
"activation": {
"enabled": true ,
"demoMode": false ,
"allowedCaseTypes": [
"COLLECTIONS"
]
},
"actions": {
"capabilityModes": {
"SAVE_CASE_NOTE": "CONFIRM_AND_SUBMIT"
},
"confirmedActionsEnabled": true
}
},
"demoOnly": false ,
"reason": "Enable confirmed note saves for collections.",
"expectedVersion": 4
},
)200 400 401 403 404 409
{
"version": 5 ,
"changes": {
"cookieConfigVersion": 5
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}